<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>DPathParser</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DPathParser";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathParser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTStart.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/DPathParser.html" target="_top">Frames</a></li>
<li><a href="DPathParser.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.dpp</div>
<h2 title="Class DPathParser" class="title">Class DPathParser</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.dpp.DPathParser</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserTreeConstants</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">DPathParser</span>
extends java.lang.Object
implements <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserTreeConstants</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a></pre>
<div class="block">An Arithmetic Grammar.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.List&lt;int[]&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_expentries">jj_expentries</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_expentry">jj_expentry</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_gen">jj_gen</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) <a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_input_stream">jj_input_stream</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_kind">jj_kind</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_la1">jj_la1</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_la1_0">jj_la1_0</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_nt">jj_nt</a></strong></code>
<div class="block">Next token.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_ntk">jj_ntk</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html" title="class in fr.inria.alpage.frmgcm.dpp">JJTDPathParserState</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jjtree">jjtree</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#token">token</a></strong></code>
<div class="block">Current token.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#token_source">token_source</a></strong></code>
<div class="block">Generated Token Manager.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_fr.inria.alpage.frmgcm.dpp.DPathParserTreeConstants">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;fr.inria.alpage.frmgcm.dpp.<a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserTreeConstants</a></h3>
<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html#JJTCOORDEXPRESSION">JJTCOORDEXPRESSION</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html#JJTDPATHFILTER">JJTDPATHFILTER</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html#JJTDPATHNAVIGATION">JJTDPATHNAVIGATION</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html#JJTDPATHTEST">JJTDPATHTEST</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html#JJTEXPRESSION">JJTEXPRESSION</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html#JJTGROUPEDEXPRESSION">JJTGROUPEDEXPRESSION</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html#JJTMACROEXPRESSION">JJTMACROEXPRESSION</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html#jjtNodeName">jjtNodeName</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTreeConstants.html#JJTSTART">JJTSTART</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_fr.inria.alpage.frmgcm.dpp.DPathParserConstants">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;fr.inria.alpage.frmgcm.dpp.<a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp">DPathParserConstants</a></h3>
<code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DECIMAL_LITERAL">DECIMAL_LITERAL</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DEFAULT">DEFAULT</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DIGIT">DIGIT</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_COORD">DPATH_COORD</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_FILTER_TYPE">DPATH_FILTER_TYPE</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_MACRO_PREFIX">DPATH_MACRO_PREFIX</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_NAV_AXIS">DPATH_NAV_AXIS</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#DPATH_SET">DPATH_SET</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#EOF">EOF</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#IDENTIFIER">IDENTIFIER</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#LETTER">LETTER</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#STRING_LITERAL">STRING_LITERAL</a>, <a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html#tokenImage">tokenImage</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathParser(fr.inria.alpage.frmgcm.dpp.DPathParserTokenManager)">DPathParser</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a>&nbsp;tm)</code>
<div class="block">Constructor with generated Token Manager.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathParser(java.io.InputStream)">DPathParser</a></strong>(java.io.InputStream&nbsp;stream)</code>
<div class="block">Constructor with InputStream.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathParser(java.io.InputStream,%20java.lang.String)">DPathParser</a></strong>(java.io.InputStream&nbsp;stream,
           java.lang.String&nbsp;encoding)</code>
<div class="block">Constructor with InputStream and supplied encoding</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathParser(java.io.Reader)">DPathParser</a></strong>(java.io.Reader&nbsp;stream)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#CoordExpression()">CoordExpression</a></strong>()</code>
<div class="block">An Coord Expression.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#disable_tracing()">disable_tracing</a></strong>()</code>
<div class="block">Disable tracing.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathFilter()">DPathFilter</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathNavigation()">DPathNavigation</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#DPathTest()">DPathTest</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#enable_tracing()">enable_tracing</a></strong>()</code>
<div class="block">Enable tracing.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#Expression()">Expression</a></strong>()</code>
<div class="block">An Expression.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#generateParseException()">generateParseException</a></strong>()</code>
<div class="block">Generate ParseException.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#getNextToken()">getNextToken</a></strong>()</code>
<div class="block">Get the next Token.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#getToken(int)">getToken</a></strong>(int&nbsp;index)</code>
<div class="block">Get the specific Token.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#GroupedExpression()">GroupedExpression</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_consume_token(int)">jj_consume_token</a></strong>(int&nbsp;kind)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_la1_init_0()">jj_la1_init_0</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#jj_ntk_f()">jj_ntk_f</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#MacroExpression()">MacroExpression</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#main(java.lang.String[])">main</a></strong>(java.lang.String[]&nbsp;args)</code>
<div class="block">Main entry point.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#ReInit(fr.inria.alpage.frmgcm.dpp.DPathParserTokenManager)">ReInit</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a>&nbsp;tm)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#ReInit(java.io.InputStream)">ReInit</a></strong>(java.io.InputStream&nbsp;stream)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#ReInit(java.io.InputStream,%20java.lang.String)">ReInit</a></strong>(java.io.InputStream&nbsp;stream,
      java.lang.String&nbsp;encoding)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#ReInit(java.io.Reader)">ReInit</a></strong>(java.io.Reader&nbsp;stream)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTStart.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTStart</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParser.html#Start()">Start</a></strong>()</code>
<div class="block">Main production.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="jjtree">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jjtree</h4>
<pre>protected&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html" title="class in fr.inria.alpage.frmgcm.dpp">JJTDPathParserState</a> jjtree</pre>
</li>
</ul>
<a name="token_source">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>token_source</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a> token_source</pre>
<div class="block">Generated Token Manager.</div>
</li>
</ul>
<a name="jj_input_stream">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jj_input_stream</h4>
<pre><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a> jj_input_stream</pre>
</li>
</ul>
<a name="token">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>token</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a> token</pre>
<div class="block">Current token.</div>
</li>
</ul>
<a name="jj_nt">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jj_nt</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a> jj_nt</pre>
<div class="block">Next token.</div>
</li>
</ul>
<a name="jj_ntk">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jj_ntk</h4>
<pre>private&nbsp;int jj_ntk</pre>
</li>
</ul>
<a name="jj_gen">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jj_gen</h4>
<pre>private&nbsp;int jj_gen</pre>
</li>
</ul>
<a name="jj_la1">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jj_la1</h4>
<pre>private final&nbsp;int[] jj_la1</pre>
</li>
</ul>
<a name="jj_la1_0">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jj_la1_0</h4>
<pre>private static&nbsp;int[] jj_la1_0</pre>
</li>
</ul>
<a name="jj_expentries">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jj_expentries</h4>
<pre>private&nbsp;java.util.List&lt;int[]&gt; jj_expentries</pre>
</li>
</ul>
<a name="jj_expentry">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jj_expentry</h4>
<pre>private&nbsp;int[] jj_expentry</pre>
</li>
</ul>
<a name="jj_kind">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>jj_kind</h4>
<pre>private&nbsp;int jj_kind</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DPathParser(java.io.InputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DPathParser</h4>
<pre>public&nbsp;DPathParser(java.io.InputStream&nbsp;stream)</pre>
<div class="block">Constructor with InputStream.</div>
</li>
</ul>
<a name="DPathParser(java.io.InputStream, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DPathParser</h4>
<pre>public&nbsp;DPathParser(java.io.InputStream&nbsp;stream,
           java.lang.String&nbsp;encoding)</pre>
<div class="block">Constructor with InputStream and supplied encoding</div>
</li>
</ul>
<a name="DPathParser(java.io.Reader)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DPathParser</h4>
<pre>public&nbsp;DPathParser(java.io.Reader&nbsp;stream)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
<a name="DPathParser(fr.inria.alpage.frmgcm.dpp.DPathParserTokenManager)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DPathParser</h4>
<pre>public&nbsp;DPathParser(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a>&nbsp;tm)</pre>
<div class="block">Constructor with generated Token Manager.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="main(java.lang.String[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
<div class="block">Main entry point.</div>
</li>
</ul>
<a name="Start()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Start</h4>
<pre>public final&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTStart.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTStart</a>&nbsp;Start()
                     throws <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></pre>
<div class="block">Main production.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></code></dd></dl>
</li>
</ul>
<a name="DPathNavigation()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DPathNavigation</h4>
<pre>public final&nbsp;void&nbsp;DPathNavigation()
                           throws <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></code></dd></dl>
</li>
</ul>
<a name="DPathFilter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DPathFilter</h4>
<pre>public final&nbsp;void&nbsp;DPathFilter()
                       throws <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></code></dd></dl>
</li>
</ul>
<a name="DPathTest()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DPathTest</h4>
<pre>public final&nbsp;void&nbsp;DPathTest()
                     throws <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></code></dd></dl>
</li>
</ul>
<a name="GroupedExpression()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GroupedExpression</h4>
<pre>public final&nbsp;void&nbsp;GroupedExpression()
                             throws <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></code></dd></dl>
</li>
</ul>
<a name="CoordExpression()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CoordExpression</h4>
<pre>public final&nbsp;void&nbsp;CoordExpression()
                           throws <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></pre>
<div class="block">An Coord Expression.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></code></dd></dl>
</li>
</ul>
<a name="Expression()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Expression</h4>
<pre>public final&nbsp;void&nbsp;Expression()
                      throws <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></pre>
<div class="block">An Expression.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></code></dd></dl>
</li>
</ul>
<a name="MacroExpression()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MacroExpression</h4>
<pre>public final&nbsp;void&nbsp;MacroExpression()
                           throws <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></code></dd></dl>
</li>
</ul>
<a name="jj_la1_init_0()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jj_la1_init_0</h4>
<pre>private static&nbsp;void&nbsp;jj_la1_init_0()</pre>
</li>
</ul>
<a name="ReInit(java.io.InputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(java.io.InputStream&nbsp;stream)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="ReInit(java.io.InputStream, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(java.io.InputStream&nbsp;stream,
          java.lang.String&nbsp;encoding)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="ReInit(java.io.Reader)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(java.io.Reader&nbsp;stream)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="ReInit(fr.inria.alpage.frmgcm.dpp.DPathParserTokenManager)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a>&nbsp;tm)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="jj_consume_token(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jj_consume_token</h4>
<pre>private&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a>&nbsp;jj_consume_token(int&nbsp;kind)
                        throws <a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></code></dd></dl>
</li>
</ul>
<a name="getNextToken()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNextToken</h4>
<pre>public final&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a>&nbsp;getNextToken()</pre>
<div class="block">Get the next Token.</div>
</li>
</ul>
<a name="getToken(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToken</h4>
<pre>public final&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a>&nbsp;getToken(int&nbsp;index)</pre>
<div class="block">Get the specific Token.</div>
</li>
</ul>
<a name="jj_ntk_f()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jj_ntk_f</h4>
<pre>private&nbsp;int&nbsp;jj_ntk_f()</pre>
</li>
</ul>
<a name="generateParseException()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateParseException</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a>&nbsp;generateParseException()</pre>
<div class="block">Generate ParseException.</div>
</li>
</ul>
<a name="enable_tracing()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enable_tracing</h4>
<pre>public final&nbsp;void&nbsp;enable_tracing()</pre>
<div class="block">Enable tracing.</div>
</li>
</ul>
<a name="disable_tracing()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>disable_tracing</h4>
<pre>public final&nbsp;void&nbsp;disable_tracing()</pre>
<div class="block">Disable tracing.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathParser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ASTStart.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/DPathParserConstants.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/DPathParser.html" target="_top">Frames</a></li>
<li><a href="DPathParser.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
